Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78116 - Clicking Language in GUI login screen makes the screen reset
Summary: Clicking Language in GUI login screen makes the screen reset
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-11-19 07:23 UTC by Dee-Ann LeBlanc
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-28 22:06:11 UTC


Attachments (Terms of Use)

Description Dee-Ann LeBlanc 2002-11-19 07:23:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I _think_ what's happening when I click Language in the GUI login screen is that
it's resetting the image, but I can't be sure. No error messages. It clicks,
goes black, comes back with the little watch/wait thing, and then the login
screen returns unchanged. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install with Server class
2. Add X, GNOME, and KDE.
3. click the Language item to pretend to change which language I want to work
with in my login session
4. click, blackscreen, and so on
5. Back to normal. If I click again, same thing happens.
	

Actual Results:  in Description

Expected Results:  should display a language selection window

Additional info:

Brand new beta1 install, haven't even created a user account yet.

Comment 1 Havoc Pennington 2002-12-13 21:25:26 UTC
Sounds like an X bug - I'm betting fixed in later betas, but 
need to verify.

Comment 2 Owen Taylor 2003-01-16 21:14:29 UTC
Taking GDM target/blockers.

Comment 3 Owen Taylor 2003-01-16 22:31:00 UTC
I fairly strongly guess what is happening is that gdm is crashing and
restarting. If this still happens currently, what would be most
useful is before switching language to switch to a console
with <Control><Alt>F1, login in to the system as root, type

 gdb /usr/bin/gdb `/sbin/pidof gdm`
 (gdb) c

Now switch back to the login screen with <Control><Alt>F7 (or maybe F8),
click on the language screen. When it crashes, GDM will appear to
hang, switch back to the console, gdb should report a segfault,
type

 (gdb) bt

To get a backtrace.

You should be able to use the mouse and middle button paste to paste
this (or at least the first 10-20 lines) into an editor. And attach it
to the bug report. Sorry for the long procedure ... it's harder to
debug things at the pre-login stage.



Comment 4 Owen Taylor 2003-01-17 00:17:27 UTC
Bluecurve theme has shutdown_button where it needs halt_button.


Comment 5 Owen Taylor 2003-01-17 00:19:08 UTC
Wrong bug, sorry for the noise.

Comment 6 Bill Nottingham 2003-07-28 22:06:11 UTC
Please reopen if this persists.


Note You need to log in before you can comment on or make changes to this bug.